%global kernelver 3.9

Name:           kcbench-data
Version:        0.1
Release:        12%{?dist}
Summary:        Kernel sources to be used by kcbench

Group:          Applications/System
License:        GPLv2
URL:            http://fedoraproject.org/wiki/Packages/kcbench
Source1:        %{name}-README
Source2:        http://www.kernel.org/pub/linux/kernel/v3.0/linux-%{kernelver}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       kcbench
# Require the latest package, to avoid people installing this
# and wondering what it's about
Requires:       %{name}-%{kernelver} = %{version}-%{release}

%description
Linux Kernel sources to be compiled by kcbench to benchmark system
performance or test system stability.


%package %{kernelver}
Summary:        Kernel sources from %{kernelver} to be used by kcbench
Group:          Applications/System
Requires:       %{name}
Provides:       kcbench-datafiles = %{version}-%{release}
# needed for compiling a kernel:
Requires:       make gcc binutils
Obsoletes:      %{name}-%{kernelver} < 0.1-8

%description %{kernelver}
Linux Kernel sources %{kernelver} to be compiled by kcbench to benchmark system
performance or test system stability.


%prep
%setup -q -c -T
echo "Nothing to prep"


%build
echo "Nothing to build"


%install
rm -rf ${RPM_BUILD_ROOT}
install -D -p -m 0644 %{SOURCE1} ./README
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}
tar -xif %{SOURCE2} -C ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc README
%dir %{_datadir}/%{name}/


%files %{kernelver}
%defattr(-,root,root,-)
%{_datadir}/%{name}/linux-%{kernelver}


%changelog
* Wed May 01 2013 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]org> - 0.1-12
- switch to 3.9 for F19 and later, which is the first Fedora using gcc 4.8

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Apr 11 2011 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]org> - 0.1-8
- switch to 2.6.38 for F15 and later, uses a different gcc than F14 
  anyway (fixes 691639)
- use a macro for the kernelver
- drop patch to fix building with newer make versions

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 27 2010 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]org> - 0.1-6.1
- switch to 2.6.35 for F14 and later
- add a patch to fix building with newer make versions
- do not exclude docs, as that can lead to a build error
- add proper obsolets for 2.6.25 package
- remove the hard require on a specific kcbench-data version 
  in kcbench-data.foo

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr 24 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]org> - 0.1-3
- Include 2.6.25 and drop 2.6.20, as the latter doesn't build with 2.6.25

* Sat Oct 13 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]org> - 0.1-2
- require make gcc and binutils, needed for kernel compile
- exclude Documentation/ dir from kernel-sources
- include a README file

* Mon Oct 01 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]org> - 0.1-1
- initial package
